Bug 1260215 - dnf.exceptions.DepsolveError: package redhat-lsb-4.1-30.fc23.i686 requires redhat-lsb-languages = 4.1-30.fc23, but none of the providers can be installed
dnf.exceptions.DepsolveError: package redhat-lsb-4.1-30.fc23.i686 requires re...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 14:41 EDT by Mikhail
Modified: 2015-09-14 03:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 08:12:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2015-09-04 14:41:24 EDT
Description of problem:
# dnf install lsb
Last metadata expiration check performed 0:12:21 ago on Fri Sep  4 23:25:48 2015.
Error: package redhat-lsb-4.1-30.fc23.i686 requires redhat-lsb-languages = 4.1-30.fc23, but none of the providers can be installed
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 148, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 160, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 535, in resolve
    raise exc
dnf.exceptions.DepsolveError: package redhat-lsb-4.1-30.fc23.i686 requires redhat-lsb-languages = 4.1-30.fc23, but none of the providers can be installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 195, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 94, in main
    demands = self.cli.demands
NameError: name 'self' is not defined


# rpm -q dnf
dnf-1.0.2-3.fc23.noarch
dnf-1.1.1-1.fc23.noarch
Comment 1 Orion Poplawski 2015-09-04 22:03:31 EDT
How did you end up with two versions of dnf installed?  That's clearly a bad situation.  You should:

dnf remove dnf-1.0.2-3.fc23.noarch

and see what:

dnf repoquery --duplicated

has to say.
Comment 2 Mikhail 2015-09-04 22:45:16 EDT
(In reply to Orion Poplawski from comment #1)
> How did you end up with two versions of dnf installed? 

I think this occurred because system update was abnormally terminated (system was hanged)

> That's clearly a bad
> situation.  You should:
> 
> dnf remove dnf-1.0.2-3.fc23.noarch

[root@localhost ~]# dnf remove dnf-1.0.2-3.fc23.noarch
Dependencies resolved.
Error: The operation would result in removing the following protected packages: dnf.


> and see what:
> 
> dnf repoquery --duplicated
> 
> has to say.

[root@localhost ~]# dnf repoquery --duplicated
Last metadata expiration check performed 4:59:51 ago on Sat Sep  5 02:38:35 2015.
GeoIP-GeoLite-data-0:2015.07-1.fc23.noarch
GeoIP-GeoLite-data-0:2015.08-1.fc23.noarch
ModemManager-0:1.4.10-1.fc23.i686
ModemManager-0:1.4.6-2.fc23.i686
ModemManager-glib-0:1.4.10-1.fc23.i686
ModemManager-glib-0:1.4.6-2.fc23.i686
NetworkManager-1:1.0.4-2.fc23.i686
NetworkManager-1:1.0.6-2.fc23.i686
NetworkManager-glib-1:1.0.4-2.fc23.i686
NetworkManager-glib-1:1.0.6-2.fc23.i686
NetworkManager-libnm-1:1.0.4-2.fc23.i686
NetworkManager-libnm-1:1.0.6-2.fc23.i686
NetworkManager-openvpn-1:1.0.2-3.fc23.i686
NetworkManager-openvpn-1:1.0.6-3.fc23.i686
NetworkManager-openvpn-gnome-1:1.0.2-3.fc23.i686
NetworkManager-openvpn-gnome-1:1.0.6-3.fc23.i686
NetworkManager-team-1:1.0.4-2.fc23.i686
NetworkManager-team-1:1.0.6-2.fc23.i686
NetworkManager-vpnc-1:1.0.2-2.fc23.i686
NetworkManager-vpnc-1:1.0.6-3.fc23.i686
NetworkManager-vpnc-gnome-1:1.0.2-2.fc23.i686
NetworkManager-vpnc-gnome-1:1.0.6-3.fc23.i686
NetworkManager-wifi-1:1.0.4-2.fc23.i686
NetworkManager-wifi-1:1.0.6-2.fc23.i686
NetworkManager-wwan-1:1.0.4-2.fc23.i686
NetworkManager-wwan-1:1.0.6-2.fc23.i686
PackageKit-0:1.0.7-1.fc23.i686
PackageKit-0:1.0.8-2.fc23.i686
PackageKit-cached-metadata-0:1.0.7-1.fc23.i686
PackageKit-cached-metadata-0:1.0.8-2.fc23.i686
PackageKit-glib-0:1.0.7-1.fc23.i686
PackageKit-glib-0:1.0.8-2.fc23.i686
PackageKit-gtk3-module-0:1.0.7-1.fc23.i686
PackageKit-gtk3-module-0:1.0.8-2.fc23.i686
abrt-0:2.6.2-3.fc23.i686
abrt-0:2.6.2-5.fc23.i686
abrt-addon-ccpp-0:2.6.2-3.fc23.i686
abrt-addon-ccpp-0:2.6.2-5.fc23.i686
abrt-addon-coredump-helper-0:2.6.2-3.fc23.i686
abrt-addon-coredump-helper-0:2.6.2-5.fc23.i686
abrt-addon-kerneloops-0:2.6.2-3.fc23.i686
abrt-addon-kerneloops-0:2.6.2-5.fc23.i686
abrt-addon-pstoreoops-0:2.6.2-3.fc23.i686
abrt-addon-pstoreoops-0:2.6.2-5.fc23.i686
abrt-addon-python3-0:2.6.2-3.fc23.i686
abrt-addon-python3-0:2.6.2-5.fc23.i686
abrt-addon-vmcore-0:2.6.2-3.fc23.i686
abrt-addon-vmcore-0:2.6.2-5.fc23.i686
abrt-addon-xorg-0:2.6.2-3.fc23.i686
abrt-addon-xorg-0:2.6.2-5.fc23.i686
abrt-cli-0:2.6.2-3.fc23.i686
abrt-cli-0:2.6.2-5.fc23.i686
abrt-dbus-0:2.6.2-3.fc23.i686
abrt-dbus-0:2.6.2-5.fc23.i686
abrt-desktop-0:2.6.2-3.fc23.i686
abrt-desktop-0:2.6.2-5.fc23.i686
abrt-gui-0:2.6.2-3.fc23.i686
abrt-gui-0:2.6.2-5.fc23.i686
abrt-gui-libs-0:2.6.2-3.fc23.i686
abrt-gui-libs-0:2.6.2-5.fc23.i686
abrt-libs-0:2.6.2-3.fc23.i686
abrt-libs-0:2.6.2-5.fc23.i686
abrt-plugin-bodhi-0:2.6.2-3.fc23.i686
abrt-plugin-bodhi-0:2.6.2-5.fc23.i686
abrt-python3-0:2.6.2-3.fc23.i686
abrt-python3-0:2.6.2-5.fc23.i686
abrt-retrace-client-0:2.6.2-3.fc23.i686
abrt-retrace-client-0:2.6.2-5.fc23.i686
abrt-tui-0:2.6.2-3.fc23.i686
abrt-tui-0:2.6.2-5.fc23.i686
adobe-source-han-sans-cn-fonts-0:1.002-2.fc23.noarch
adobe-source-han-sans-cn-fonts-0:1.004-1.fc23.noarch
adobe-source-han-sans-tw-fonts-0:1.002-2.fc23.noarch
adobe-source-han-sans-tw-fonts-0:1.004-1.fc23.noarch
appstream-data-0:23-3.fc23.noarch
appstream-data-0:23-4.fc23.noarch
at-spi2-atk-0:2.17.1-1.fc23.i686
at-spi2-atk-0:2.17.90-1.fc23.i686
at-spi2-core-0:2.17.1-1.fc23.i686
at-spi2-core-0:2.17.90-1.fc23.i686
atk-0:2.16.0-2.fc23.i686
atk-0:2.17.90-1.fc23.i686
autocorr-en-1:5.0.0.5-1.fc23.noarch
autocorr-en-1:5.0.0.5-2.fc23.noarch
bash-0:4.3.39-6.fc23.i686
bash-0:4.3.42-1.fc23.i686
boost-date-time-0:1.57.0-8.fc23.i686
boost-date-time-0:1.58.0-8.fc23.i686
boost-iostreams-0:1.57.0-8.fc23.i686
boost-iostreams-0:1.58.0-8.fc23.i686
boost-system-0:1.57.0-8.fc23.i686
boost-system-0:1.58.0-8.fc23.i686
boost-thread-0:1.57.0-8.fc23.i686
boost-thread-0:1.58.0-8.fc23.i686
ca-certificates-0:2015.2.4-3.fc23.noarch
ca-certificates-0:2015.2.5-1.0.fc23.noarch
clucene-contribs-lib-0:2.3.3.4-19.20130812.e8e3d20git.fc23.i686
clucene-contribs-lib-0:2.3.3.4-21.20130812.e8e3d20git.fc23.i686
clucene-core-0:2.3.3.4-19.20130812.e8e3d20git.fc23.i686
clucene-core-0:2.3.3.4-21.20130812.e8e3d20git.fc23.i686
clutter-0:1.23.4-1.fc23.i686
clutter-0:1.23.6-1.fc23.i686
cogl-0:1.20.0-4.fc23.i686
cogl-0:1.21.2-2.fc23.i686
colord-0:1.2.11-2.fc23.i686
colord-0:1.2.12-1.fc23.i686
colord-libs-0:1.2.11-2.fc23.i686
colord-libs-0:1.2.12-1.fc23.i686
control-center-filesystem-1:3.17.3-1.fc23.i686
control-center-filesystem-1:3.17.90-1.fc23.i686
crontabs-0:1.11-10.20130830git.fc23.noarch
crontabs-0:1.11-11.20150630git.fc23.noarch
cups-1:2.0.3-5.fc23.i686
cups-1:2.1-0.3rc1.fc23.i686
cups-client-1:2.0.3-5.fc23.i686
cups-client-1:2.1-0.3rc1.fc23.i686
cups-filesystem-1:2.0.3-5.fc23.noarch
cups-filesystem-1:2.1-0.3rc1.fc23.noarch
cups-filters-0:1.0.71-2.fc23.i686
cups-filters-0:1.0.71-3.fc23.i686
cups-filters-libs-0:1.0.71-2.fc23.i686
cups-filters-libs-0:1.0.71-3.fc23.i686
cups-libs-1:2.0.3-5.fc23.i686
cups-libs-1:2.1-0.3rc1.fc23.i686
curl-0:7.43.0-1.fc23.i686
curl-0:7.43.0-3.fc23.i686
dbus-1:1.10.0-1.fc23.i686
dbus-1:1.9.18-1.fc23.i686
dbus-libs-1:1.10.0-1.fc23.i686
dbus-libs-1:1.9.18-1.fc23.i686
dbus-x11-1:1.10.0-1.fc23.i686
dbus-x11-1:1.9.18-1.fc23.i686
device-mapper-multipath-0:0.4.9-76.fc23.i686
device-mapper-multipath-0:0.4.9-79.fc23.i686
device-mapper-multipath-libs-0:0.4.9-76.fc23.i686
device-mapper-multipath-libs-0:0.4.9-79.fc23.i686
dhcp-client-12:4.3.2-12.fc23.i686
dhcp-client-12:4.3.3-0.1b1.fc23.i686
dhcp-common-12:4.3.2-12.fc23.noarch
dhcp-common-12:4.3.3-0.1b1.fc23.noarch
dhcp-libs-12:4.3.2-12.fc23.i686
dhcp-libs-12:4.3.3-0.1b1.fc23.i686
dnf-0:1.0.2-3.fc23.noarch
dnf-0:1.1.1-1.fc23.noarch
dnf-conf-0:1.0.2-3.fc23.noarch
dnf-conf-0:1.1.1-1.fc23.noarch
dnf-plugins-core-0:0.1.11-1.fc23.noarch
dnf-plugins-core-0:0.1.9-1.fc23.noarch
dnf-yum-0:1.0.2-3.fc23.noarch
dnf-yum-0:1.1.1-1.fc23.noarch
dracut-0:043-40.git20150710.fc23.2.i686
dracut-0:043-60.git20150811.fc23.i686
dracut-config-rescue-0:043-40.git20150710.fc23.2.i686
dracut-config-rescue-0:043-60.git20150811.fc23.i686
dracut-live-0:043-40.git20150710.fc23.2.i686
dracut-live-0:043-60.git20150811.fc23.i686
dracut-network-0:043-40.git20150710.fc23.2.i686
dracut-network-0:043-60.git20150811.fc23.i686
elfutils-0:0.163-1.fc23.i686
elfutils-0:0.163-3.fc23.i686
elfutils-libelf-0:0.163-1.fc23.i686
elfutils-libelf-0:0.163-3.fc23.i686
elfutils-libs-0:0.163-1.fc23.i686
elfutils-libs-0:0.163-3.fc23.i686
exempi-0:2.2.1-10.fc23.i686
exempi-0:2.2.1-12.fc23.i686
firefox-0:39.0.3-1.fc23.i686
firefox-0:40.0.3-1.fc23.i686
flac-libs-0:1.3.1-4.fc23.i686
flac-libs-0:1.3.1-5.fc23.i686
fontconfig-0:2.11.94-2.fc23.i686
fontconfig-0:2.11.94-4.fc23.i686
fontpackages-filesystem-0:1.44-13.fc23.noarch
fontpackages-filesystem-0:1.44-14.fc23.noarch
fpaste-0:0.3.7.4-2.fc23.noarch
fpaste-0:0.3.8.0-1.fc23.noarch
fros-0:1.1-3.fc23.noarch
fros-0:1.1-6.fc23.noarch
fros-gnome-0:1.1-3.fc23.noarch
fros-gnome-0:1.1-6.fc23.noarch
fwupd-0:0.1.4-1.fc23.i686
fwupd-0:0.1.5-3.fc23.i686
gdb-0:7.10-17.fc23.i686
gdb-0:7.9.90.20150717-7.fc23.i686
gdm-1:3.17.4-1.fc23.i686
gdm-1:3.17.90-1.fc23.i686
gedit-2:3.17.2-1.fc23.i686
gedit-2:3.17.90-1.fc23.i686
generic-release-0:23-0.7.noarch
generic-release-0:23-0.8.noarch
generic-release-notes-0:23-0.7.noarch
generic-release-notes-0:23-0.8.noarch
geocode-glib-0:3.17.1-3.fc23.i686
geocode-glib-0:3.17.90-1.fc23.i686
glibc-0:2.21.90-21.fc23.i686
glibc-0:2.22-2.fc23.i686
glibc-common-0:2.21.90-21.fc23.i686
glibc-common-0:2.22-2.fc23.i686
glusterfs-0:3.7.3-1.fc23.i686
glusterfs-0:3.7.4-2.fc23.i686
glusterfs-api-0:3.7.3-1.fc23.i686
glusterfs-api-0:3.7.4-2.fc23.i686
glusterfs-client-xlators-0:3.7.3-1.fc23.i686
glusterfs-client-xlators-0:3.7.4-2.fc23.i686
glusterfs-fuse-0:3.7.3-1.fc23.i686
glusterfs-fuse-0:3.7.4-2.fc23.i686
glusterfs-libs-0:3.7.3-1.fc23.i686
glusterfs-libs-0:3.7.4-2.fc23.i686
gnome-abrt-0:1.2.0-4.fc23.i686
gnome-abrt-0:1.2.0-5.fc23.i686
gnome-bluetooth-1:3.16.1-2.fc23.i686
gnome-bluetooth-1:3.17.90-2.fc23.i686
gnome-bluetooth-libs-1:3.16.1-2.fc23.i686
gnome-bluetooth-libs-1:3.17.90-2.fc23.i686
gnome-documents-0:3.17.2-3.fc23.i686
gnome-documents-0:3.17.90-1.fc23.i686
gnome-documents-libs-0:3.17.2-3.fc23.i686
gnome-documents-libs-0:3.17.90-1.fc23.i686
gnome-settings-daemon-0:3.17.3-1.fc23.i686
gnome-settings-daemon-0:3.17.90-1.fc23.i686
gnome-tweak-tool-0:3.17.1-2.fc23.noarch
gnome-tweak-tool-0:3.17.90-1.fc23.noarch
gnome-user-share-0:3.14.2-2.fc23.i686
gnome-user-share-0:3.17.90-1.fc23.i686
gnutls-0:3.4.3-2.fc23.i686
gnutls-0:3.4.4-1.fc23.i686
gnutls-dane-0:3.4.3-2.fc23.i686
gnutls-dane-0:3.4.4-1.fc23.i686
gnutls-utils-0:3.4.3-2.fc23.i686
gnutls-utils-0:3.4.4-1.fc23.i686
gobject-introspection-0:1.45.3-1.fc23.i686
gobject-introspection-0:1.45.4-1.fc23.i686
grub2-1:2.02-0.17.fc23.i686
grub2-1:2.02-0.21.fc23.i686
grub2-efi-1:2.02-0.17.fc23.i686
grub2-efi-1:2.02-0.21.fc23.i686
grub2-tools-1:2.02-0.17.fc23.i686
grub2-tools-1:2.02-0.21.fc23.i686
gstreamer1-0:1.5.2-1.fc23.i686
gstreamer1-0:1.5.90-1.fc23.i686
gstreamer1-plugins-bad-free-0:1.5.2-1.fc23.i686
gstreamer1-plugins-bad-free-0:1.5.90-2.fc23.i686
gstreamer1-plugins-base-0:1.5.2-1.fc23.i686
gstreamer1-plugins-base-0:1.5.90-1.fc23.i686
gstreamer1-plugins-good-0:1.5.2-2.fc23.i686
gstreamer1-plugins-good-0:1.5.90-1.fc23.i686
hawkey-0:0.5.9-3.fc23.i686
hawkey-0:0.6.0-1.fc23.i686
highlight-0:3.22-2.fc23.i686
highlight-0:3.22-4.fc23.i686
hplip-0:3.15.7-1.fc23.i686
hplip-0:3.15.7-5.fc23.i686
hplip-common-0:3.15.7-1.fc23.i686
hplip-common-0:3.15.7-5.fc23.i686
hplip-libs-0:3.15.7-1.fc23.i686
hplip-libs-0:3.15.7-5.fc23.i686
hwdata-0:0.280-1.fc23.noarch
hwdata-0:0.281-1.fc23.noarch
ibus-typing-booster-0:1.2.11-3.fc23.noarch
ibus-typing-booster-0:1.2.12-1.fc23.noarch
initscripts-0:9.63-2.fc23.i686
initscripts-0:9.64-1.fc23.i686
iputils-0:20140519-5.fc23.i686
iputils-0:20140519-6.fc23.i686
iso-codes-0:3.59-1.fc23.noarch
iso-codes-0:3.61-1.fc23.noarch
java-1.8.0-openjdk-headless-1:1.8.0.60-14.b27.fc23.i686
java-1.8.0-openjdk-headless-1:1.8.0.60-9.b24.fc23.i686
kernel-core-0:4.2.0-0.rc6.git0.1.1awb.i686
kernel-core-0:4.2.0-1.fc23.i686
kernel-modules-0:4.2.0-0.rc6.git0.1.1awb.i686
kernel-modules-0:4.2.0-1.fc23.i686
kpartx-0:0.4.9-76.fc23.i686
kpartx-0:0.4.9-79.fc23.i686
less-0:479-1.fc23.i686
less-0:479-2.fc23.i686
libabw-0:0.1.1-5.fc23.i686
libabw-0:0.1.1-7.fc23.i686
libappstream-glib-0:0.4.1-1.fc23.i686
libappstream-glib-0:0.5.0-1.fc23.i686
libassuan-0:2.2.0-2.fc23.i686
libassuan-0:2.3.0-1.fc23.i686
libbasicobjects-0:0.1.1-25.fc23.i686
libbasicobjects-0:0.1.1-27.fc23.i686
libblkid-0:2.26.2-3.fc23.i686
libblkid-0:2.27-0.4.fc23.i686
libcdr-0:0.1.1-4.fc23.i686
libcdr-0:0.1.1-6.fc23.i686
libcmis-0:0.5.0-5.fc23.i686
libcmis-0:0.5.0-8.fc23.i686
libcollection-0:0.6.2-25.fc23.i686
libcollection-0:0.7.0-27.fc23.i686
libcomps-0:0.1.6-14.fc22.i686
libcomps-0:0.1.7-1.fc23.i686
libcurl-0:7.43.0-1.fc23.i686
libcurl-0:7.43.0-3.fc23.i686
libdrm-0:2.4.62-2.fc23.i686
libdrm-0:2.4.64-1.fc23.i686
libe-book-0:0.1.2-4.fc23.i686
libe-book-0:0.1.2-6.fc23.i686
liberation-fonts-common-1:1.07.4-5.fc23.noarch
liberation-fonts-common-1:1.07.4-6.fc23.noarch
liberation-mono-fonts-1:1.07.4-5.fc23.noarch
liberation-mono-fonts-1:1.07.4-6.fc23.noarch
liberation-sans-fonts-1:1.07.4-5.fc23.noarch
liberation-sans-fonts-1:1.07.4-6.fc23.noarch
liberation-serif-fonts-1:1.07.4-5.fc23.noarch
liberation-serif-fonts-1:1.07.4-6.fc23.noarch
libetonyek-0:0.1.3-1.fc23.i686
libetonyek-0:0.1.3-3.fc23.i686
libevdev-0:1.4.2-2.fc23.i686
libevdev-0:1.4.4-1.fc23.i686
libfdisk-0:2.26.2-3.fc23.i686
libfdisk-0:2.27-0.4.fc23.i686
libgltf-0:0.0.2-6.fc23.i686
libgltf-0:0.0.2-8.fc23.i686
libgpg-error-0:1.19-2.fc23.i686
libgpg-error-0:1.20-1.fc23.i686
libgtop2-0:2.31.3-1.fc23.i686
libgtop2-0:2.31.90-1.fc23.i686
libgxps-0:0.2.2-12.fc23.i686
libgxps-0:0.2.3.1-1.fc23.i686
libidn-0:1.31-1.fc23.i686
libidn-0:1.32-1.fc23.i686
libimobiledevice-0:1.2.0-1.fc23.i686
libimobiledevice-0:1.2.0-3.fc23.i686
libini_config-0:1.1.0-25.fc23.i686
libini_config-0:1.2.0-27.fc23.i686
liblouis-0:2.6.2-2.fc23.i686
liblouis-0:2.6.2-3.fc23.i686
libmbim-0:1.12.0-2.fc23.i686
libmbim-0:1.12.2-1.fc23.i686
libmbim-utils-0:1.12.0-2.fc23.i686
libmbim-utils-0:1.12.2-1.fc23.i686
libmount-0:2.26.2-3.fc23.i686
libmount-0:2.27-0.4.fc23.i686
libmspub-0:0.1.2-4.fc23.i686
libmspub-0:0.1.2-6.fc23.i686
libmwaw-0:0.3.5-2.fc23.i686
libmwaw-0:0.3.6-1.fc23.i686
libnm-gtk-0:1.0.4-2.fc23.i686
libnm-gtk-0:1.0.6-3.fc23.i686
libodfgen-0:0.1.4-2.fc23.i686
libodfgen-0:0.1.4-4.fc23.i686
liborcus-0:0.7.1-3.fc23.i686
liborcus-0:0.7.1-6.fc23.i686
libpagemaker-0:0.0.2-4.fc23.i686
libpagemaker-0:0.0.2-6.fc23.i686
libpath_utils-0:0.2.1-25.fc23.i686
libpath_utils-0:0.2.1-27.fc23.i686
libpwquality-0:1.3.0-1.fc23.i686
libpwquality-0:1.3.0-2.fc23.i686
libqmi-0:1.12.4-3.fc23.i686
libqmi-0:1.12.6-1.fc23.i686
libqmi-utils-0:1.12.4-3.fc23.i686
libqmi-utils-0:1.12.6-1.fc23.i686
librados2-1:0.94.2-1.fc23.i686
librados2-1:0.94.3-1.fc23.i686
librbd1-1:0.94.2-1.fc23.i686
librbd1-1:0.94.3-1.fc23.i686
libref_array-0:0.1.4-25.fc23.i686
libref_array-0:0.1.5-27.fc23.i686
libreoffice-calc-1:5.0.0.5-1.fc23.i686
libreoffice-calc-1:5.0.0.5-2.fc23.i686
libreoffice-core-1:5.0.0.5-1.fc23.i686
libreoffice-core-1:5.0.0.5-2.fc23.i686
libreoffice-draw-1:5.0.0.5-1.fc23.i686
libreoffice-draw-1:5.0.0.5-2.fc23.i686
libreoffice-filters-1:5.0.0.5-1.fc23.i686
libreoffice-filters-1:5.0.0.5-2.fc23.i686
libreoffice-graphicfilter-1:5.0.0.5-1.fc23.i686
libreoffice-graphicfilter-1:5.0.0.5-2.fc23.i686
libreoffice-impress-1:5.0.0.5-1.fc23.i686
libreoffice-impress-1:5.0.0.5-2.fc23.i686
libreoffice-math-1:5.0.0.5-1.fc23.i686
libreoffice-math-1:5.0.0.5-2.fc23.i686
libreoffice-opensymbol-fonts-1:5.0.0.5-1.fc23.noarch
libreoffice-opensymbol-fonts-1:5.0.0.5-2.fc23.noarch
libreoffice-pdfimport-1:5.0.0.5-1.fc23.i686
libreoffice-pdfimport-1:5.0.0.5-2.fc23.i686
libreoffice-pyuno-1:5.0.0.5-1.fc23.i686
libreoffice-pyuno-1:5.0.0.5-2.fc23.i686
libreoffice-ure-1:5.0.0.5-1.fc23.i686
libreoffice-ure-1:5.0.0.5-2.fc23.i686
libreoffice-writer-1:5.0.0.5-1.fc23.i686
libreoffice-writer-1:5.0.0.5-2.fc23.i686
libreoffice-xsltfilter-1:5.0.0.5-1.fc23.i686
libreoffice-xsltfilter-1:5.0.0.5-2.fc23.i686
libreport-0:2.6.2-2.fc23.i686
libreport-0:2.6.2-4.fc23.i686
libreport-anaconda-0:2.6.2-2.fc23.i686
libreport-anaconda-0:2.6.2-4.fc23.i686
libreport-cli-0:2.6.2-2.fc23.i686
libreport-cli-0:2.6.2-4.fc23.i686
libreport-fedora-0:2.6.2-2.fc23.i686
libreport-fedora-0:2.6.2-4.fc23.i686
libreport-filesystem-0:2.6.2-2.fc23.i686
libreport-filesystem-0:2.6.2-4.fc23.i686
libreport-gtk-0:2.6.2-2.fc23.i686
libreport-gtk-0:2.6.2-4.fc23.i686
libreport-plugin-bugzilla-0:2.6.2-2.fc23.i686
libreport-plugin-bugzilla-0:2.6.2-4.fc23.i686
libreport-plugin-kerneloops-0:2.6.2-2.fc23.i686
libreport-plugin-kerneloops-0:2.6.2-4.fc23.i686
libreport-plugin-logger-0:2.6.2-2.fc23.i686
libreport-plugin-logger-0:2.6.2-4.fc23.i686
libreport-plugin-reportuploader-0:2.6.2-2.fc23.i686
libreport-plugin-reportuploader-0:2.6.2-4.fc23.i686
libreport-plugin-ureport-0:2.6.2-2.fc23.i686
libreport-plugin-ureport-0:2.6.2-4.fc23.i686
libreport-python3-0:2.6.2-2.fc23.i686
libreport-python3-0:2.6.2-4.fc23.i686
libreport-web-0:2.6.2-2.fc23.i686
libreport-web-0:2.6.2-4.fc23.i686
librevenge-0:0.0.2-4.fc23.i686
librevenge-0:0.0.2-6.fc23.i686
librsvg2-0:2.40.10-1.fc23.i686
librsvg2-0:2.40.9-2.fc23.i686
libsane-hpaio-0:3.15.7-1.fc23.i686
libsane-hpaio-0:3.15.7-5.fc23.i686
libselinux-0:2.4-1.fc23.1.i686
libselinux-0:2.4-3.fc23.i686
libselinux-python-0:2.4-1.fc23.1.i686
libselinux-python-0:2.4-3.fc23.i686
libselinux-python3-0:2.4-1.fc23.1.i686
libselinux-python3-0:2.4-3.fc23.i686
libselinux-utils-0:2.4-1.fc23.1.i686
libselinux-utils-0:2.4-3.fc23.i686
libsmartcols-0:2.26.2-3.fc23.i686
libsmartcols-0:2.27-0.4.fc23.i686
libsmbclient-2:4.2.3-0.fc23.i686
libsmbclient-2:4.3.0-0.1.rc4.fc23.i686
libsolv-0:0.6.11-1.fc23.i686
libsolv-0:0.6.11-3.git1f9abfb.fc23.i686
libsoup-0:2.51.3-1.fc23.i686
libsoup-0:2.51.90-1.fc23.i686
libteam-0:1.17-2.fc23.i686
libteam-0:1.18-1.fc23.i686
libuuid-0:2.26.2-3.fc23.i686
libuuid-0:2.27-0.4.fc23.i686
libva-0:1.5.1-2.fc23.i686
libva-0:1.6.0-1.fc23.i686
libvdpau-0:1.1-3.fc23.i686
libvdpau-0:1.1.1-1.fc23.i686
libvirt-client-0:1.2.17-2.fc23.i686
libvirt-client-0:1.2.18-1.fc23.i686
libvirt-daemon-0:1.2.17-2.fc23.i686
libvirt-daemon-0:1.2.18-1.fc23.i686
libvirt-daemon-config-network-0:1.2.17-2.fc23.i686
libvirt-daemon-config-network-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-interface-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-interface-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-network-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-network-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-nodedev-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-nodedev-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-nwfilter-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-nwfilter-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-qemu-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-qemu-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-secret-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-secret-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-storage-0:1.2.17-2.fc23.i686
libvirt-daemon-driver-storage-0:1.2.18-1.fc23.i686
libvirt-daemon-kvm-0:1.2.17-2.fc23.i686
libvirt-daemon-kvm-0:1.2.18-1.fc23.i686
libvirt-gconfig-0:0.2.1-1.fc23.i686
libvirt-gconfig-0:0.2.2-1.fc23.i686
libvirt-glib-0:0.2.1-1.fc23.i686
libvirt-glib-0:0.2.2-1.fc23.i686
libvirt-gobject-0:0.2.1-1.fc23.i686
libvirt-gobject-0:0.2.2-1.fc23.i686
libvisio-0:0.1.3-1.fc23.i686
libvisio-0:0.1.3-2.fc23.i686
libwayland-client-0:1.8.0-1.fc23.i686
libwayland-client-0:1.8.92-1.fc23.i686
libwayland-cursor-0:1.8.0-1.fc23.i686
libwayland-cursor-0:1.8.92-1.fc23.i686
libwayland-server-0:1.8.0-1.fc23.i686
libwayland-server-0:1.8.92-1.fc23.i686
libwbclient-2:4.2.3-0.fc23.i686
libwbclient-2:4.3.0-0.1.rc4.fc23.i686
libwps-0:0.4.0-2.fc23.i686
libwps-0:0.4.1-1.fc23.i686
libxml2-0:2.9.2-5.fc23.i686
libxml2-0:2.9.2-7.fc23.i686
libzhuyin-0:1.0.2-1.fc23.i686
libzhuyin-0:1.0.91-1.fc23.i686
libzhuyin-data-0:1.0.2-1.fc23.i686
libzhuyin-data-0:1.0.91-1.fc23.i686
m17n-db-0:1.7.0-4.fc23.noarch
m17n-db-0:1.7.0-5.fc23.noarch
man-db-0:2.7.1-7.fc23.i686
man-db-0:2.7.1-9.fc23.i686
man-pages-0:4.00-3.fc23.noarch
man-pages-0:4.00-4.fc23.noarch
media-player-info-0:21-1.fc22.noarch
media-player-info-0:22-1.fc23.noarch
mesa-dri-drivers-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-dri-drivers-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-filesystem-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-filesystem-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libEGL-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libEGL-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libGL-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libGL-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libGLES-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libGLES-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libgbm-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libgbm-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libglapi-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libglapi-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libwayland-egl-0:10.7.0-0.devel.4.ea633db.fc23.i686
mesa-libwayland-egl-0:11.0.0-0.rc1.1.20150824.fc23.i686
nautilus-0:3.17.3-1.fc23.i686
nautilus-0:3.17.90-1.fc23.i686
nautilus-extensions-0:3.17.3-1.fc23.i686
nautilus-extensions-0:3.17.90-1.fc23.i686
nm-connection-editor-0:1.0.4-2.fc23.i686
nm-connection-editor-0:1.0.6-3.fc23.i686
nmap-ncat-2:6.47-2.fc22.i686
nmap-ncat-2:6.47-5.fc23.i686
nss-0:3.19.2-3.fc23.i686
nss-0:3.20.0-1.0.fc23.i686
nss-softokn-0:3.19.2-2.fc23.i686
nss-softokn-0:3.20.0-1.0.fc23.i686
nss-softokn-freebl-0:3.19.2-2.fc23.i686
nss-softokn-freebl-0:3.20.0-1.0.fc23.i686
nss-sysinit-0:3.19.2-3.fc23.i686
nss-sysinit-0:3.20.0-1.0.fc23.i686
nss-util-0:3.19.2-2.fc23.i686
nss-util-0:3.20.0-1.0.fc23.i686
open-vm-tools-0:9.10.2-1.fc23.i686
open-vm-tools-0:9.10.2-2.fc23.i686
openoffice.org-diafilter-0:1.7.3-3.fc23.i686
openoffice.org-diafilter-0:1.7.3-5.fc23.i686
openssh-0:6.9p1-4.fc23.i686
openssh-0:7.1p1-1.fc23.i686
openssh-askpass-0:6.9p1-4.fc23.i686
openssh-askpass-0:7.1p1-1.fc23.i686
openssh-clients-0:6.9p1-4.fc23.i686
openssh-clients-0:7.1p1-1.fc23.i686
openssh-server-0:6.9p1-4.fc23.i686
openssh-server-0:7.1p1-1.fc23.i686
openssl-libs-1:1.0.2d-1.fc23.i686
openssl-libs-1:1.0.2d-2.fc23.i686
openvpn-0:2.3.7-2.fc23.i686
openvpn-0:2.3.8-1.fc23.i686
oxygen-icon-theme-0:15.04.3-1.fc23.noarch
oxygen-icon-theme-0:15.04.3-2.fc23.noarch
pam-0:1.2.1-1.fc23.i686
pam-0:1.2.1-2.fc23.i686
parted-0:3.2-10.fc23.i686
parted-0:3.2-11.fc23.i686
pcre-0:8.37-2.fc23.i686
pcre-0:8.37-4.fc23.i686
perl-Pod-Simple-1:3.30-3.fc23.noarch
perl-Pod-Simple-1:3.31-1.fc23.noarch
perl-Term-Cap-0:1.16-1.fc23.noarch
perl-Term-Cap-0:1.17-1.fc23.noarch
pixman-0:0.32.6-6.fc23.i686
pixman-0:0.33.2-1.fc23.i686
procps-ng-0:3.3.10-7.fc23.i686
procps-ng-0:3.3.10-8.fc23.i686
python-slip-0:0.6.1-2.fc23.noarch
python-slip-0:0.6.3-1.fc23.noarch
python-slip-dbus-0:0.6.1-2.fc23.noarch
python-slip-dbus-0:0.6.3-1.fc23.noarch
python3-coverage-0:4.0-0.11.b2.fc23.i686
python3-coverage-0:4.0-0.9.a6.fc23.i686
python3-dnf-0:1.0.2-3.fc23.noarch
python3-dnf-0:1.1.1-1.fc23.noarch
python3-dnf-plugins-core-0:0.1.11-1.fc23.noarch
python3-dnf-plugins-core-0:0.1.9-1.fc23.noarch
python3-gobject-0:3.17.1-3.fc23.i686
python3-gobject-0:3.17.90-2.fc23.i686
python3-gobject-base-0:3.17.1-3.fc23.i686
python3-gobject-base-0:3.17.90-2.fc23.i686
python3-hawkey-0:0.5.9-3.fc23.i686
python3-hawkey-0:0.6.0-1.fc23.i686
python3-kickstart-0:2.11-1.fc23.noarch
python3-kickstart-0:2.13-1.fc23.noarch
python3-libcomps-0:0.1.6-14.fc22.i686
python3-libcomps-0:0.1.7-1.fc23.i686
python3-pwquality-0:1.3.0-1.fc23.i686
python3-pwquality-0:1.3.0-2.fc23.i686
python3-pyatspi-0:2.16.0-2.fc23.noarch
python3-pyatspi-0:2.17.90-1.fc23.noarch
python3-pygpgme-0:0.3-12.fc22.i686
python3-pygpgme-0:0.3-13.fc23.i686
python3-pyparted-1:3.10.5-2.fc23.i686
python3-pyparted-1:3.10.7-1.fc23.i686
python3-pytz-0:2012d-8.fc23.noarch
python3-pytz-0:2015.4-1.fc23.noarch
python3-slip-0:0.6.1-2.fc23.noarch
python3-slip-0:0.6.3-1.fc23.noarch
python3-slip-dbus-0:0.6.1-2.fc23.noarch
python3-slip-dbus-0:0.6.3-1.fc23.noarch
qemu-common-2:2.4.0-0.1.rc0.fc23.i686
qemu-common-2:2.4.0-2.fc23.i686
qemu-img-2:2.4.0-0.1.rc0.fc23.i686
qemu-img-2:2.4.0-2.fc23.i686
qemu-kvm-2:2.4.0-0.1.rc0.fc23.i686
qemu-kvm-2:2.4.0-2.fc23.i686
qemu-system-x86-2:2.4.0-0.1.rc0.fc23.i686
qemu-system-x86-2:2.4.0-2.fc23.i686
qt-settings-0:22-11.fc23.noarch
qt-settings-0:23-3.fc23.noarch
qt5-qtbase-0:5.5.0-15.fc23.i686
qt5-qtbase-0:5.5.0-5.fc23.i686
qt5-qtbase-common-0:5.5.0-15.fc23.noarch
qt5-qtbase-common-0:5.5.0-5.fc23.noarch
qt5-qtbase-gui-0:5.5.0-15.fc23.i686
qt5-qtbase-gui-0:5.5.0-5.fc23.i686
samba-client-2:4.2.3-0.fc23.i686
samba-client-2:4.3.0-0.1.rc4.fc23.i686
samba-client-libs-2:4.2.3-0.fc23.i686
samba-client-libs-2:4.3.0-0.1.rc4.fc23.i686
samba-common-2:4.2.3-0.fc23.noarch
samba-common-2:4.3.0-0.1.rc4.fc23.noarch
samba-common-libs-2:4.2.3-0.fc23.i686
samba-common-libs-2:4.3.0-0.1.rc4.fc23.i686
selinux-policy-0:3.13.1-140.fc23.noarch
selinux-policy-0:3.13.1-146.fc23.noarch
selinux-policy-targeted-0:3.13.1-140.fc23.noarch
selinux-policy-targeted-0:3.13.1-146.fc23.noarch
setroubleshoot-0:3.2.24-3.fc23.i686
setroubleshoot-0:3.3.1-0.2.fc23.i686
setroubleshoot-plugins-0:3.0.61-2.fc23.noarch
setroubleshoot-plugins-0:3.3.1-0.1.fc23.noarch
setroubleshoot-server-0:3.2.24-3.fc23.i686
setroubleshoot-server-0:3.3.1-0.2.fc23.i686
shadow-utils-2:4.2.1-2.fc23.i686
shadow-utils-2:4.2.1-3.fc23.i686
teamd-0:1.17-2.fc23.i686
teamd-0:1.18-1.fc23.i686
tigervnc-license-0:1.4.3-11.fc23.noarch
tigervnc-license-0:1.5.0-2.fc23.noarch
tigervnc-server-minimal-0:1.4.3-11.fc23.i686
tigervnc-server-minimal-0:1.5.0-2.fc23.i686
tzdata-0:2015e-1.fc23.noarch
tzdata-0:2015f-1.fc23.noarch
tzdata-java-0:2015e-1.fc23.noarch
tzdata-java-0:2015f-1.fc23.noarch
usb_modeswitch-0:2.2.1-2.fc23.i686
usb_modeswitch-0:2.2.5-1.fc23.i686
usb_modeswitch-data-0:20150115-2.fc23.noarch
usb_modeswitch-data-0:20150627-1.fc23.noarch
util-linux-0:2.26.2-3.fc23.i686
util-linux-0:2.27-0.4.fc23.i686
webkitgtk4-0:2.9.4-2.fc23.i686
webkitgtk4-0:2.9.91-1.fc23.i686
xen-libs-0:4.5.1-5.fc23.i686
xen-libs-0:4.5.1-6.fc23.i686
xen-licenses-0:4.5.1-5.fc23.i686
xen-licenses-0:4.5.1-6.fc23.i686
xorg-x11-drv-libinput-0:0.12.0-1.fc23.i686
xorg-x11-drv-libinput-0:0.14.0-1.fc23.i686
yelp-xsl-0:3.17.4-1.fc23.noarch
yelp-xsl-0:3.17.90-1.fc23.noarch
zeitgeist-libs-0:0.9.16-0.5.20140808.git.ce9affa.fc23.i686
zeitgeist-libs-0:0.9.16-1.fc23.i686


How I can automiticaly repear this now?
Comment 3 Orion Poplawski 2015-09-05 13:02:03 EDT
(In reply to Mikhail from comment #2)
> (In reply to Orion Poplawski from comment #1)
> > How did you end up with two versions of dnf installed? 
> 
> I think this occurred because system update was abnormally terminated
> (system was hanged)
> 
> > That's clearly a bad
> > situation.  You should:
> > 
> > dnf remove dnf-1.0.2-3.fc23.noarch
> 
> [root@localhost ~]# dnf remove dnf-1.0.2-3.fc23.noarch
> Dependencies resolved.
> Error: The operation would result in removing the following protected
> packages: dnf.

Hah, that's funny.  And another bug.  You may have to do:

rpm -e dnf-1.0.2-3.fc23.noarch

to fix that.

> How I can automiticaly repear this now?

From http://dnf.readthedocs.org/en/latest/cli_vs_yum.html this is the suggestion:

dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q)
Comment 4 Radek Holy 2015-09-07 08:12:59 EDT

*** This bug has been marked as a duplicate of bug 1259194 ***
Comment 5 Mikhail 2015-09-08 04:29:45 EDT
# rpm -e  dnf-1.0.2-3.fc23.noarch
error: Failed dependencies:
	dnf = 1.0.2-3.fc23 is needed by (installed) dnf-yum-1.0.2-3.fc23.noarch

not helps :(
Comment 6 Mikhail 2015-09-08 04:32:39 EDT
# dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q)
Dependencies resolved.
Error: The operation would result in removing the following protected packages: dnf.

Not works for me too
Comment 7 Orion Poplawski 2015-09-08 10:44:41 EDT
You are going to need to keep adding all of the dnf 1.0.2-3.fc23 packages to the rpm -e line, e.g.:

rpm -e dnf-1.0.2-3.fc23.noarch dnf-yum-1.0.2-3.fc23.noarch dnf-conf-0:1.0.2-3.fc23.noarch
Comment 8 Mikhail 2015-09-10 06:31:19 EDT
Today dnf updated to 1.1.1-2 version and all old dnf packages removed automatically:

 Cleanup     : dnf-yum-1.1.1-1.fc23.noarch                                                                                                      5/12 
  Cleanup     : dnf-1.1.1-1.fc23.noarch                                                                                                          6/12 
  Cleanup     : python3-dnf-1.1.1-1.fc23.noarch                                                                                                  7/12 
  Cleanup     : dnf-yum-1.1.1-1.fc23.noarch                                                                                                      8/12 
  Cleanup     : dnf-1.1.1-1.fc23.noarch                                                                                                          9/12 
  Cleanup     : python3-dnf-1.1.1-1.fc23.noarch                                                                                                 10/12 
  Cleanup     : dnf-conf-1.1.1-1.fc23.noarch                                                                                                    11/12 
  Cleanup     : dnf-conf-1.1.1-1.fc23.noarch   


But I still not able clean another old packages:

# dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q)
Dependencies resolved.
Error: The operation would result in removing the booted kernel: kernel-debug-core-4.2.0-1.fc23.i686.
Comment 9 Orion Poplawski 2015-09-10 10:47:18 EDT
Try:

dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q | grep -vF kernel)

(ps - please don't set needinfo from me.  I'm just helping out where I can and I feel that the double ping is a little rude)
Comment 10 Mikhail 2015-09-14 03:35:21 EDT
Orion, thanks.

I think instead of this be better if dnf continue run previous transaction after failure. I need fill another bug report?


ps. sorry for double ping. I am just not sure you read notification when i write some comments here.

Note You need to log in before you can comment on or make changes to this bug.